Bug 295170 - kio_info produces invalid HTML
Summary: kio_info produces invalid HTML
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: info (show other bugs)
Version: 4.7
Platform: openSUSE RPMs Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Matthias Hoelzer-Kluepfel
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-03-01 19:29 UTC by Christopher Yeleighton
Modified: 2012-12-09 21:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2012-03-01 19:29:27 UTC
Version:           4.7 (using KDE 4.7.2) 
OS:                Linux

The HTML code generated by the info I/O slave is invalid.

Reproducible: Always

Steps to Reproduce:
  1. { kioclient exec 'info:/libc/Library Summary'; }
  2. Tell Konqueror to save the page.
  3. Tell HTML Validator service [1] to examine the code in "Library Summary.html".

Actual Results:  
  1. Appendix B Summary of Library Facilities.
  2. New file "Library Summary.html".
  3. 8 Errors, 6 warning(s), including:
    * no document type declaration; implying "<!DOCTYPE HTML SYSTEM>"
    * <style>
    * <img src="help:common/top-kde.jpg">

Expected Results:  
  3. Congratulations!
    * <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" >
    * <STYLE TYPE="TEXT/CSS" >
    * <IMG SRC="help:common/top-kde.jpg" ALT="[KDE Help]" >

OS: Linux (x86_64) release 3.1.9-1.4-desktop
Compiler: gcc

___
[1] <URL: http://validator.w3.org/check >
Comment 1 Albert Astals Cid 2012-12-09 21:15:56 UTC
Git commit 0817c385be22fc990913a2a1fae9a8241cf51e6d by Albert Astals Cid, on behalf of Paul Walger.
Committed on 09/12/2012 at 22:05.
Pushed by aacid into branch 'master'.

Make kio_info produce valid HTML

REVIEW: 105590
FIXED-IN: 4.10.0

M  +18   -8    kioslave/info/kde-info2html

http://commits.kde.org/kde-runtime/0817c385be22fc990913a2a1fae9a8241cf51e6d